Python
import requests
url = "https://app.langwatch.ai/api/secrets/{id}"
payload = { "value": "<string>" }
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}Secrets
Update a secret's value
Update a secret’s value
PUT
/
api
/
secrets
/
{id}
Python
import requests
url = "https://app.langwatch.ai/api/secrets/{id}"
payload = { "value": "<string>" }
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
Body
application/json
Required string length:
1 - 10000Was this page helpful?
⌘I